commit: 7f3c3659de493ddcdac269c811ef2c87ee6fc237
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 31 05:50:42 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 31 06:21:04 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f3c3659
dev-python/pymongo: Bump to 3.11.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pymongo/Manifest | 1 +
dev-python/pymongo/pymongo-3.11.0.ebuild | 112 +++++++++++++++++++++++++++++++
2 files changed, 113 insertions(+)
diff --git a/dev-python/pymongo/Manifest b/dev-python/pymongo/Manifest
index 4dc1c029ef9..6f8dcf99ef1 100644
--- a/dev-python/pymongo/Manifest
+++ b/dev-python/pymongo/Manifest
@@ -1 +1,2 @@
DIST pymongo-3.10.1.tar.gz 715892 BLAKE2B
df1f8ae34366ea9de633be7e1ca103a2bc704a18a9b23cb1fbdbc8d116e939d4d5462e18a076149d93dcb8ada9f4737ed2d61b08803b546dce89dca4b2416689
SHA512
5a73ac17ef6f6783a573facd90879dbefa0c95d69123bc67c1a6af0987cb5786f637b8fa81a6810387acc34829a4cde33b848ac0f7b08f7d07faa90a8e13b595
+DIST pymongo-3.11.0.tar.gz 771691 BLAKE2B
5ae5b78caac335656c1005666c5633882da517c512bbfdb0df2c4569ec5060fa9623a23f48ffcf0c6ab2cdc69f6534f36ef18c929047bbb22cfbe9055a0881b7
SHA512
4f8a185013cbb3c07774d3c6aecc9e97dabb4ba55176fa8a51e17bcdb7cbbebaacd16304e580b4c6aeb26aad964401249313b59dde3c5c248c4496d64d18b22c
diff --git a/dev-python/pymongo/pymongo-3.11.0.ebuild
b/dev-python/pymongo/pymongo-3.11.0.ebuild
new file mode 100644
index 00000000000..9c6cc95462f
--- /dev/null
+++ b/dev-python/pymongo/pymongo-3.11.0.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6..9} )
+inherit check-reqs distutils-r1
+
+DESCRIPTION="Python driver for MongoDB"
+HOMEPAGE="https://github.com/mongodb/mongo-python-driver
https://pypi.org/project/pymongo/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~x86"
+IUSE="doc kerberos test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ kerberos? ( dev-python/pykerberos[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ >=dev-db/mongodb-2.6.0
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+DISTUTILS_IN_SOURCE_BUILD=1
+
+distutils_enable_sphinx doc
+
+reqcheck() {
+ if use test; then
+ # During the tests, database size reaches 1.5G.
+ local CHECKREQS_DISK_BUILD=1536M
+
+ check-reqs_${1}
+ fi
+}
+
+pkg_pretend() {
+ reqcheck pkg_pretend
+}
+
+pkg_setup() {
+ reqcheck pkg_setup
+}
+
+src_prepare() {
+ # network-sandbox probably
+ rm test/test_srv_polling.py || die
+ sed -e 's:test_connection_timeout_ms_propagates_to_DNS_resolver:_&:' \
+ -i test/test_client.py || die
+ # relies on exact exception message
+ sed -e 's:abstract methods:abstract:' \
+ -i test/test_custom_types.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # Yes, we need TCP/IP for that...
+ local DB_IP=127.0.0.1
+ local DB_PORT=27000
+
+ export DB_IP DB_PORT
+
+ local dbpath=${TMPDIR}/mongo.db
+ local logpath=${TMPDIR}/mongod.log
+
+ # Now, the hard part: we need to find a free port for mongod.
+ # We're just trying to run it random port numbers and check the log
+ # for bind errors. It shall be noted that 'mongod --fork' does not
+ # return failure when it fails to bind.
+
+ mkdir -p "${dbpath}" || die
+ while true; do
+ ebegin "Trying to start mongod on port ${DB_PORT}"
+
+ LC_ALL=C \
+ mongod --dbpath "${dbpath}" --nojournal \
+ --bind_ip ${DB_IP} --port ${DB_PORT} \
+ --unixSocketPrefix "${TMPDIR}" \
+ --logpath "${logpath}" --fork \
+ && sleep 2
+
+ # Now we need to check if the server actually started...
+ if [[ ${?} -eq 0 && -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]];
then
+ # yay!
+ eend 0
+ break
+ elif grep -q 'Address already in use' "${logpath}"; then
+ # ay, someone took our port!
+ eend 1
+ : $(( DB_PORT += 1 ))
+ continue
+ else
+ eend 1
+ eerror "Unable to start mongod for tests. See the
server log:"
+ eerror " ${logpath}"
+ die "Unable to start mongod for tests."
+ fi
+ done
+
+ local failed
+ DB_PORT2=$(( DB_PORT + 1 )) DB_PORT3=$(( DB_PORT + 2 )) esetup.py test
|| failed=1
+
+ mongod --dbpath "${dbpath}" --shutdown || die
+
+ [[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
+
+ rm -rf "${dbpath}" || die
+}